BmpPaletteSampleValueTest Class Reference

`#include <BmpPaletteSampleValueTest.h>`

Inheritance diagram for BmpPaletteSampleValueTest:

## Public Member Functions

| BmpPaletteSampleValueTest (TestSuite *s)
void | setup (void)
void | cleanup (void)
void | testDistance (void)
void | testIsNeighbour (void)
Public Member Functions inherited from SampleValueTest
| SampleValueTest (std::string n, TestSuite *s)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
void | run (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Attributes

CvrStgFile * | f1
CvrStgFile * | f2
Globals | gl1
Globals | gl2
SampleValue * | sv1_0
SampleValue * | sv1_3
SampleValue * | sv1_7
SampleValue * | sv1_15
SampleValue * | sv2_3_49_96_5
SampleValue * | sv2_10_11_99_203
SampleValue * | sv2_48_18_106_194
SampleValue * | sv2_68_73_104_15
SampleValue * | sv2_171_61_97_25

## Additional Inherited Members

Protected Member Functions inherited from SampleValueTest
bool | genericTestDistance (SampleValue *s1, SampleValue *s2, UWORD32 dist)
bool | genericTestIsNeighbour (SampleValue *s1, SampleValue *s2, bool res)
bool | genericTestEValue (SampleValue *s, EmbValue ev)
Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## BmpPaletteSampleValueTest()

BmpPaletteSampleValueTest::BmpPaletteSampleValueTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## cleanup()

void BmpPaletteSampleValueTest::cleanup | ( | void |  | ) |

virtual

cleanup the unit test - called after run

Reimplemented from UnitTest.

## setup()

void BmpPaletteSampleValueTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented from UnitTest.

## testDistance()

void BmpPaletteSampleValueTest::testDistance | ( | void |  | ) |

## testIsNeighbour()

void BmpPaletteSampleValueTest::testIsNeighbour | ( | void |  | ) |

## Member Data Documentation

## f1

CvrStgFile* BmpPaletteSampleValueTest::f1

private

## f2

CvrStgFile * BmpPaletteSampleValueTest::f2

private

## gl1

Globals BmpPaletteSampleValueTest::gl1

private

## gl2

Globals BmpPaletteSampleValueTest::gl2

private

## sv1_0

SampleValue* BmpPaletteSampleValueTest::sv1_0

private

## sv1_15

SampleValue * BmpPaletteSampleValueTest::sv1_15

private

## sv1_3

SampleValue * BmpPaletteSampleValueTest::sv1_3

private

## sv1_7

SampleValue * BmpPaletteSampleValueTest::sv1_7

private

## sv2_10_11_99_203

SampleValue * BmpPaletteSampleValueTest::sv2_10_11_99_203

private

## sv2_171_61_97_25

SampleValue * BmpPaletteSampleValueTest::sv2_171_61_97_25

private

## sv2_3_49_96_5

SampleValue* BmpPaletteSampleValueTest::sv2_3_49_96_5

private

## sv2_48_18_106_194

SampleValue * BmpPaletteSampleValueTest::sv2_48_18_106_194

private

## sv2_68_73_104_15

SampleValue * BmpPaletteSampleValueTest::sv2_68_73_104_15

private

The documentation for this class was generated from the following files:

- BmpPaletteSampleValueTest.h
- BmpPaletteSampleValueTest.cc